Subject: bug#4318: 23.1; trouble indenting looooong lines with visual-line-mode

From: Chong Yidong <[email-masked]>
Date: Sun, 18 Sep 2011 11:26:16 -0400

Eli Zaretskii <[email-masked]> writes:

>> The problem seems to be that `visual-line-mode' breaks long lines after
>> any white space -- even if the white space begins the line.  That
>> doesn't seem optimal, I think.
>
> The extra line stands for the space that is not shown.  If you place
> the cursor on that "empty line" and type "C-x =", you will see that
> point is before the space character, not before newline.
>
> So I think visual-line-mode (a.k.a. "word wrap") behaves correctly.

It's different from what other word-wrapping editors do, so I think this
should be considered a bug.